/*
CDBeQuiet! - Slows down your optical drive under DOS
Copyright (C) 2017  Christoph Boelitz

E-mail: c.boelitz@web.de
Project page: http://cdbq.dosforum.de/

CDBeQuiet! is fully free of charge and may be
distributed. Its source code may be modified as long
as you leave my contact information intact. Using it
in any commercial manner is prohibited.

Let me know, if you have suggestions or see something that can
be done in a better way, so I might learn from it. Thanks!

*/

//Defines
#define CDBQ_VER "1.1"
#define CDBQ_LOGFILE "cdbq.log"

//General error handling
#define CDBQ_ERR_SUCCESS                1000
#define CDBQ_ERR_TIME                   1001
#define CDBQ_ERR_CMDLINE_UNK_PRINT      1002
#define CDBQ_ERR_CMDLINE_UNK_NONPRINT   1003
#define CDBQ_ERR_CMDLINE_MISSING_ARG    1004
#define CDBQ_ERR_CMDLINE_MISSING_OPT    1005
#define CDBQ_ERR_CMDLINE_GETOPT         1006
#define CDBQ_ERR_CMDLINE_CONFLICT       1007
#define CDBQ_ERR_CMDLINE_WRONG_SPEED    1008

//Prototypes
void handle_error(int err_code, int log, ...);
void cmdline_help();
char* trim(char *str);
void cmdline_parse(int argc, char *argv[]);
void exit_func();
